Daylite 3 Compatibility

Info: This page is for legacy software and has been archived. This will not receive updates in the future


Alert! Daylite 3 is not supported beyond Mac OS 10.8 and iOS 6. Daylite 3 no longer receives updates or customer support. If you are using Daylite 3 consider updating to a current version of Daylite

Below are links to download installers for the Daylite 3 family of applications. Which version you download does depend on the version of Mac OS so download the correct version based your OS.

Daylite 3 on Mountain Lion 10.8.5

Click the links below to begin downloading Daylite, DMI and Daylite Server Admin for Mac OS Mountain Lion 10.8.5

Daylite 3.15.2

Daylite Server Admin 3.15.3

*DMI is not supported on Mountain Lion. For more information read our blog post


Daylite 3 on Lion 10.7.4

Click the links below to begin downloading Daylite, DMI and Daylite Server Admin for Mac OS Lion 10.7.4

Daylite 3.15.1

DMI 2.8.2

Daylite Server Admin 3.15.1


Daylite 3 is not compatible beyond Mac OS 10.8.5. There will be no future development for the Daylite 3 family of applications. Daylite 3 no longer receives support for issues.

For upgrade options to receive support for Daylite please contact us.

Was this article helpful?


Thanks for your feedback


 please wait...
 

Still can't find what you're looking for?